> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/pigmentation-pro.md).

# Pigmentation Pro

What the Pigmentation Pro application detects about melasma, the metrics it returns, and the limits of the results.

{% hint style="warning" %}
Our Application can detect signs of melasma based on image analysis; however, melasma is a medical condition that requires professional evaluation. This analysis is not a substitute for a diagnosis by a qualified healthcare provider. Before starting any treatment, consult a dermatologist or medical professional to ensure the best approach for your skin health.
{% endhint %}

## About Application

1. This Application estimates the presence and severity of visible pigmentation, differentiating between four types: solar pigmentation, melasma, moles, freckles.
2. This Application estimates indicated skin health parameters on: forehead, right/left cheeks, nose and chin areas.
3. The Application provides the following metrics:
   1. Density of solar pigmentation density measured in per mile of total skin area.
   2. Amount of moles.
   3. Density of melasma measured in per mile of total skin area.
   4. Density of freckles measured in per mile of total skin area.

***

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [API for Pigmentation Pro](/haut.ai/developers/saas-api-overview/api-for-pigmentation-pro.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/pigmentation-pro.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
